FreeBSD : i2p -- Multiple Vulnerabilities (13419364-1685-11e4-bf04-60a44c524f57)

High Nessus Plugin ID 76879


The remote FreeBSD host is missing a security-related update.


The i2p project reports :

XSS and remote execution vulnerabilities reported by Exodus Intelligence.

Exodus Intelligence reports :

The vulnerability we have found is able to perform remote code execution with a specially crafted payload. This payload can be customized to unmask a user and show the public IP address in which the user connected from within 'a couple of seconds.'


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 76879

File Name: freebsd_pkg_13419364168511e4bf0460a44c524f57.nasl

Version: $Revision: 1.1 $

Type: local

Published: 2014/07/29

Modified: 2014/07/29

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:i2p, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2014/07/28

Vulnerability Publication Date: 2014/07/24